source: git/libfac/configure @ 17ce9d

fieker-DuValspielwiese
Last change on this file since 17ce9d was 4a81ec, checked in by Hans Schönemann <hannes@…>, 27 years ago
* hannes/michael: libfac-0.3.0 git-svn-id: file:///usr/local/Singular/svn/trunk@708 2c84dea3-7e68-4137-9b89-c4e89433aadc
  • Property mode set to 100755
File size: 34.9 KB
Line 
1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.10
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14ac_help="$ac_help
15  --with-debug    build with debugging options turned on"
16ac_help="$ac_help
17  --with-Singular build for use with Singular"
18
19# Initialize some variables set by options.
20# The variables have the same names as the options, with
21# dashes changed to underlines.
22build=NONE
23cache_file=./config.cache
24exec_prefix=NONE
25host=NONE
26no_create=
27nonopt=NONE
28no_recursion=
29prefix=NONE
30program_prefix=NONE
31program_suffix=NONE
32program_transform_name=s,x,x,
33silent=
34site=
35srcdir=
36target=NONE
37verbose=
38x_includes=NONE
39x_libraries=NONE
40bindir='${exec_prefix}/bin'
41sbindir='${exec_prefix}/sbin'
42libexecdir='${exec_prefix}/libexec'
43datadir='${prefix}/share'
44sysconfdir='${prefix}/etc'
45sharedstatedir='${prefix}/com'
46localstatedir='${prefix}/var'
47libdir='${exec_prefix}/lib'
48includedir='${prefix}/include'
49oldincludedir='/usr/include'
50infodir='${prefix}/info'
51mandir='${prefix}/man'
52
53# Initialize some other variables.
54subdirs=
55MFLAGS= MAKEFLAGS=
56
57ac_prev=
58for ac_option
59do
60
61  # If the previous option needs an argument, assign it.
62  if test -n "$ac_prev"; then
63    eval "$ac_prev=\$ac_option"
64    ac_prev=
65    continue
66  fi
67
68  case "$ac_option" in
69  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
70  *) ac_optarg= ;;
71  esac
72
73  # Accept the important Cygnus configure options, so we can diagnose typos.
74
75  case "$ac_option" in
76
77  -bindir | --bindir | --bindi | --bind | --bin | --bi)
78    ac_prev=bindir ;;
79  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
80    bindir="$ac_optarg" ;;
81
82  -build | --build | --buil | --bui | --bu)
83    ac_prev=build ;;
84  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
85    build="$ac_optarg" ;;
86
87  -cache-file | --cache-file | --cache-fil | --cache-fi \
88  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
89    ac_prev=cache_file ;;
90  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
91  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
92    cache_file="$ac_optarg" ;;
93
94  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
95    ac_prev=datadir ;;
96  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
97  | --da=*)
98    datadir="$ac_optarg" ;;
99
100  -disable-* | --disable-*)
101    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
102    # Reject names that are not valid shell variable names.
103    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
104      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
105    fi
106    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
107    eval "enable_${ac_feature}=no" ;;
108
109  -enable-* | --enable-*)
110    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
111    # Reject names that are not valid shell variable names.
112    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
113      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
114    fi
115    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
116    case "$ac_option" in
117      *=*) ;;
118      *) ac_optarg=yes ;;
119    esac
120    eval "enable_${ac_feature}='$ac_optarg'" ;;
121
122  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
123  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
124  | --exec | --exe | --ex)
125    ac_prev=exec_prefix ;;
126  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
127  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
128  | --exec=* | --exe=* | --ex=*)
129    exec_prefix="$ac_optarg" ;;
130
131  -gas | --gas | --ga | --g)
132    # Obsolete; use --with-gas.
133    with_gas=yes ;;
134
135  -help | --help | --hel | --he)
136    # Omit some internal or obsolete options to make the list less imposing.
137    # This message is too long to be a string in the A/UX 3.1 sh.
138    cat << EOF
139Usage: configure [options] [host]
140Options: [defaults in brackets after descriptions]
141Configuration:
142  --cache-file=FILE       cache test results in FILE
143  --help                  print this message
144  --no-create             do not create output files
145  --quiet, --silent       do not print \`checking...' messages
146  --version               print the version of autoconf that created configure
147Directory and file names:
148  --prefix=PREFIX         install architecture-independent files in PREFIX
149                          [$ac_default_prefix]
150  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
151                          [same as prefix]
152  --bindir=DIR            user executables in DIR [EPREFIX/bin]
153  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
154  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
155  --datadir=DIR           read-only architecture-independent data in DIR
156                          [PREFIX/share]
157  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
158  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
159                          [PREFIX/com]
160  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
161  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
162  --includedir=DIR        C header files in DIR [PREFIX/include]
163  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
164  --infodir=DIR           info documentation in DIR [PREFIX/info]
165  --mandir=DIR            man documentation in DIR [PREFIX/man]
166  --srcdir=DIR            find the sources in DIR [configure dir or ..]
167  --program-prefix=PREFIX prepend PREFIX to installed program names
168  --program-suffix=SUFFIX append SUFFIX to installed program names
169  --program-transform-name=PROGRAM
170                          run sed PROGRAM on installed program names
171EOF
172    cat << EOF
173Host type:
174  --build=BUILD           configure for building on BUILD [BUILD=HOST]
175  --host=HOST             configure for HOST [guessed]
176  --target=TARGET         configure for TARGET [TARGET=HOST]
177Features and packages:
178  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
179  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
180  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
181  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
182  --x-includes=DIR        X include files are in DIR
183  --x-libraries=DIR       X library files are in DIR
184EOF
185    if test -n "$ac_help"; then
186      echo "--enable and --with options recognized:$ac_help"
187    fi
188    exit 0 ;;
189
190  -host | --host | --hos | --ho)
191    ac_prev=host ;;
192  -host=* | --host=* | --hos=* | --ho=*)
193    host="$ac_optarg" ;;
194
195  -includedir | --includedir | --includedi | --included | --include \
196  | --includ | --inclu | --incl | --inc)
197    ac_prev=includedir ;;
198  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
199  | --includ=* | --inclu=* | --incl=* | --inc=*)
200    includedir="$ac_optarg" ;;
201
202  -infodir | --infodir | --infodi | --infod | --info | --inf)
203    ac_prev=infodir ;;
204  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
205    infodir="$ac_optarg" ;;
206
207  -libdir | --libdir | --libdi | --libd)
208    ac_prev=libdir ;;
209  -libdir=* | --libdir=* | --libdi=* | --libd=*)
210    libdir="$ac_optarg" ;;
211
212  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
213  | --libexe | --libex | --libe)
214    ac_prev=libexecdir ;;
215  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
216  | --libexe=* | --libex=* | --libe=*)
217    libexecdir="$ac_optarg" ;;
218
219  -localstatedir | --localstatedir | --localstatedi | --localstated \
220  | --localstate | --localstat | --localsta | --localst \
221  | --locals | --local | --loca | --loc | --lo)
222    ac_prev=localstatedir ;;
223  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
224  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
225  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
226    localstatedir="$ac_optarg" ;;
227
228  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
229    ac_prev=mandir ;;
230  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
231    mandir="$ac_optarg" ;;
232
233  -nfp | --nfp | --nf)
234    # Obsolete; use --without-fp.
235    with_fp=no ;;
236
237  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
238  | --no-cr | --no-c)
239    no_create=yes ;;
240
241  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
242  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
243    no_recursion=yes ;;
244
245  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
246  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
247  | --oldin | --oldi | --old | --ol | --o)
248    ac_prev=oldincludedir ;;
249  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
250  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
251  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
252    oldincludedir="$ac_optarg" ;;
253
254  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
255    ac_prev=prefix ;;
256  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
257    prefix="$ac_optarg" ;;
258
259  -program-prefix | --program-prefix | --program-prefi | --program-pref \
260  | --program-pre | --program-pr | --program-p)
261    ac_prev=program_prefix ;;
262  -program-prefix=* | --program-prefix=* | --program-prefi=* \
263  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
264    program_prefix="$ac_optarg" ;;
265
266  -program-suffix | --program-suffix | --program-suffi | --program-suff \
267  | --program-suf | --program-su | --program-s)
268    ac_prev=program_suffix ;;
269  -program-suffix=* | --program-suffix=* | --program-suffi=* \
270  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
271    program_suffix="$ac_optarg" ;;
272
273  -program-transform-name | --program-transform-name \
274  | --program-transform-nam | --program-transform-na \
275  | --program-transform-n | --program-transform- \
276  | --program-transform | --program-transfor \
277  | --program-transfo | --program-transf \
278  | --program-trans | --program-tran \
279  | --progr-tra | --program-tr | --program-t)
280    ac_prev=program_transform_name ;;
281  -program-transform-name=* | --program-transform-name=* \
282  | --program-transform-nam=* | --program-transform-na=* \
283  | --program-transform-n=* | --program-transform-=* \
284  | --program-transform=* | --program-transfor=* \
285  | --program-transfo=* | --program-transf=* \
286  | --program-trans=* | --program-tran=* \
287  | --progr-tra=* | --program-tr=* | --program-t=*)
288    program_transform_name="$ac_optarg" ;;
289
290  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
291  | -silent | --silent | --silen | --sile | --sil)
292    silent=yes ;;
293
294  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
295    ac_prev=sbindir ;;
296  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
297  | --sbi=* | --sb=*)
298    sbindir="$ac_optarg" ;;
299
300  -sharedstatedir | --sharedstatedir | --sharedstatedi \
301  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
302  | --sharedst | --shareds | --shared | --share | --shar \
303  | --sha | --sh)
304    ac_prev=sharedstatedir ;;
305  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
306  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
307  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
308  | --sha=* | --sh=*)
309    sharedstatedir="$ac_optarg" ;;
310
311  -site | --site | --sit)
312    ac_prev=site ;;
313  -site=* | --site=* | --sit=*)
314    site="$ac_optarg" ;;
315
316  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
317    ac_prev=srcdir ;;
318  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
319    srcdir="$ac_optarg" ;;
320
321  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
322  | --syscon | --sysco | --sysc | --sys | --sy)
323    ac_prev=sysconfdir ;;
324  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
325  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
326    sysconfdir="$ac_optarg" ;;
327
328  -target | --target | --targe | --targ | --tar | --ta | --t)
329    ac_prev=target ;;
330  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
331    target="$ac_optarg" ;;
332
333  -v | -verbose | --verbose | --verbos | --verbo | --verb)
334    verbose=yes ;;
335
336  -version | --version | --versio | --versi | --vers)
337    echo "configure generated by autoconf version 2.10"
338    exit 0 ;;
339
340  -with-* | --with-*)
341    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
342    # Reject names that are not valid shell variable names.
343    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
344      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
345    fi
346    ac_package=`echo $ac_package| sed 's/-/_/g'`
347    case "$ac_option" in
348      *=*) ;;
349      *) ac_optarg=yes ;;
350    esac
351    eval "with_${ac_package}='$ac_optarg'" ;;
352
353  -without-* | --without-*)
354    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
355    # Reject names that are not valid shell variable names.
356    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
357      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
358    fi
359    ac_package=`echo $ac_package| sed 's/-/_/g'`
360    eval "with_${ac_package}=no" ;;
361
362  --x)
363    # Obsolete; use --with-x.
364    with_x=yes ;;
365
366  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
367  | --x-incl | --x-inc | --x-in | --x-i)
368    ac_prev=x_includes ;;
369  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
370  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
371    x_includes="$ac_optarg" ;;
372
373  -x-libraries | --x-libraries | --x-librarie | --x-librari \
374  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
375    ac_prev=x_libraries ;;
376  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
377  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
378    x_libraries="$ac_optarg" ;;
379
380  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
381    ;;
382
383  *)
384    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
385      echo "configure: warning: $ac_option: invalid host type" 1>&2
386    fi
387    if test "x$nonopt" != xNONE; then
388      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
389    fi
390    nonopt="$ac_option"
391    ;;
392
393  esac
394done
395
396if test -n "$ac_prev"; then
397  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
398fi
399
400trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
401
402# File descriptor usage:
403# 0 standard input
404# 1 file creation
405# 2 errors and warnings
406# 3 some systems may open it to /dev/tty
407# 4 used on the Kubota Titan
408# 6 checking for... messages and results
409# 5 compiler messages saved in config.log
410if test "$silent" = yes; then
411  exec 6>/dev/null
412else
413  exec 6>&1
414fi
415exec 5>./config.log
416
417echo "\
418This file contains any messages produced by compilers while
419running configure, to aid debugging if configure makes a mistake.
420" 1>&5
421
422# Strip out --no-create and --no-recursion so they do not pile up.
423# Also quote any args containing shell metacharacters.
424ac_configure_args=
425for ac_arg
426do
427  case "$ac_arg" in
428  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
429  | --no-cr | --no-c) ;;
430  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
431  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
432  *" "*|*"      "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
433  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
434  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
435  esac
436done
437
438# NLS nuisances.
439# Only set LANG and LC_ALL to C if already set.
440# These must not be set unconditionally because not all systems understand
441# e.g. LANG=C (notably SCO).
442if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
443if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
444
445# confdefs.h avoids OS command line length limits that DEFS can exceed.
446rm -rf conftest* confdefs.h
447# AIX cpp loses on an empty file, so make sure it contains at least a newline.
448echo > confdefs.h
449
450# A filename unique to this package, relative to the directory that
451# configure is in, which we can look for to find out if srcdir is correct.
452ac_unique_file=factor.h
453
454# Find the source files, if location was not specified.
455if test -z "$srcdir"; then
456  ac_srcdir_defaulted=yes
457  # Try the directory containing this script, then its parent.
458  ac_prog=$0
459  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
460  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
461  srcdir=$ac_confdir
462  if test ! -r $srcdir/$ac_unique_file; then
463    srcdir=..
464  fi
465else
466  ac_srcdir_defaulted=no
467fi
468if test ! -r $srcdir/$ac_unique_file; then
469  if test "$ac_srcdir_defaulted" = yes; then
470    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
471  else
472    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
473  fi
474fi
475srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
476
477# Prefer explicitly selected file to automatically selected ones.
478if test -z "$CONFIG_SITE"; then
479  if test "x$prefix" != xNONE; then
480    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
481  else
482    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
483  fi
484fi
485for ac_site_file in $CONFIG_SITE; do
486  if test -r "$ac_site_file"; then
487    echo "loading site script $ac_site_file"
488    . "$ac_site_file"
489  fi
490done
491
492if test -r "$cache_file"; then
493  echo "loading cache $cache_file"
494  . $cache_file
495else
496  echo "creating cache $cache_file"
497  > $cache_file
498fi
499
500ac_ext=c
501# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
502ac_cpp='$CPP $CPPFLAGS'
503ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
504ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
505
506if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
507  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
508  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
509    ac_n= ac_c='
510' ac_t='        '
511  else
512    ac_n=-n ac_c= ac_t=
513  fi
514else
515  ac_n= ac_c='\c' ac_t=
516fi
517
518
519
520
521libfac_name="\"Factorization and characteristic sets library\""
522
523libfac_version="0.3.0"
524
525libfac_date="\"Sep 11 1997\""
526
527libfac_author="\"M. Messollen\""
528
529
530libfac="libfac"
531
532libfac_g="libfac-g"
533
534libsingfac="libsingfac"
535
536libsingfac_g="libsingfac-g"
537
538factorH="factor.h"
539
540
541
542# Check whether --with-debug or --without-debug was given.
543if test "${with_debug+set}" = set; then
544  withval="$with_debug"
545  :
546fi
547
548
549# Check whether --with-Singular or --without-Singular was given.
550if test "${with_Singular+set}" = set; then
551  withval="$with_Singular"
552  :
553fi
554
555
556if test "$with_Singular" = yes; then
557  cat >> confdefs.h <<\EOF
558#define SINGULAR 1
559EOF
560
561  cat >> confdefs.h <<\EOF
562#define NOSTREAMIO 1
563EOF
564
565  if test "$with_debug" = yes; then
566     targetname="libsingfac-g"
567  else
568     targetname="libsingfac"
569  fi
570else
571  if test "$with_debug" = yes; then
572     targetname="libfac-g"
573  else
574     targetname="libfac"
575  fi
576fi
577
578if (test "x${prefix} != xNONE && test "${prefix} != "/usr/local") || \
579  test "${ac_default_prefix}" != "/usr/local" || \
580  test "${includedir}" != '${prefix}/include'; then
581  CPPFLAGS="-I${includedir} ${CPPFLAGS}"
582fi
583CPPFLAGS="-I./factor ${CPPFLAGS}"
584
585if (test "x${prefix} != xNONE && test "${prefix} != "/usr/local") || \
586  test "${ac_default_prefix}" != "/usr/local" || \
587  test "${libdir}" != '${prefix}/lib'; then
588  LDFLAGS="-L${libdir} ${LDFLAGS}"
589fi
590LDFLAGS="-L. ${LDFLAGS}"
591
592if test "${CXXFLAGS+set}" != set; then
593  ac_cxxflags_set=no
594  if test "$with_debug" = yes; then
595    CXXFLAGS="-g"
596  else
597    CXXFLAGS="-O"
598    cat >> confdefs.h <<\EOF
599#define NDEBUG 1
600EOF
601
602  fi 
603fi
604
605ac_ext=C
606# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
607ac_cpp='$CXXCPP $CPPFLAGS'
608ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
609ac_link='${CXX-g++} -o conftest $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
610 
611for ac_prog in $CCC c++ g++ gcc CC cxx
612do
613# Extract the first word of "$ac_prog", so it can be a program name with args.
614set dummy $ac_prog; ac_word=$2
615echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
616if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
617  echo $ac_n "(cached) $ac_c" 1>&6
618else
619  if test -n "$CXX"; then
620  ac_cv_prog_CXX="$CXX" # Let the user override the test.
621else
622  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
623  for ac_dir in $PATH; do
624    test -z "$ac_dir" && ac_dir=.
625    if test -f $ac_dir/$ac_word; then
626      ac_cv_prog_CXX="$ac_prog"
627      break
628    fi
629  done
630  IFS="$ac_save_ifs"
631fi
632fi
633CXX="$ac_cv_prog_CXX"
634if test -n "$CXX"; then
635  echo "$ac_t""$CXX" 1>&6
636else
637  echo "$ac_t""no" 1>&6
638fi
639
640test -n "$CXX" && break
641done
642test -n "$CXX" || CXX="gcc"
643
644
645echo $ac_n "checking whether we are using GNU C++""... $ac_c" 1>&6
646if eval "test \"`echo '$''{'ac_cv_prog_gxx'+set}'`\" = set"; then
647  echo $ac_n "(cached) $ac_c" 1>&6
648else
649  cat > conftest.C <<EOF
650#ifdef __GNUC__
651  yes;
652#endif
653EOF
654if { ac_try='${CXX-g++} -E conftest.C'; { (eval echo configure:655: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
655  ac_cv_prog_gxx=yes
656else
657  ac_cv_prog_gxx=no
658fi
659fi
660
661echo "$ac_t""$ac_cv_prog_gxx" 1>&6
662if test $ac_cv_prog_gxx = yes; then
663  GXX=yes
664  if test "${CXXFLAGS+set}" != set; then
665    echo $ac_n "checking whether ${CXX-g++} accepts -g""... $ac_c" 1>&6
666if eval "test \"`echo '$''{'ac_cv_prog_gxx_g'+set}'`\" = set"; then
667  echo $ac_n "(cached) $ac_c" 1>&6
668else
669  echo 'void f(){}' > conftest.cc
670if test -z "`${CXX-g++} -g -c conftest.cc 2>&1`"; then
671  ac_cv_prog_gxx_g=yes
672else
673  ac_cv_prog_gxx_g=no
674fi
675rm -f conftest*
676
677fi
678
679echo "$ac_t""$ac_cv_prog_gxx_g" 1>&6
680    if test $ac_cv_prog_gxx_g = yes; then
681      CXXFLAGS="-g -O"
682    else
683      CXXFLAGS="-O"
684    fi
685  fi
686else
687  GXX=
688  test "${CXXFLAGS+set}" = set || CXXFLAGS="-g"
689fi
690
691echo $ac_n "checking how to run the C++ preprocessor""... $ac_c" 1>&6
692if test -z "$CXXCPP"; then
693if eval "test \"`echo '$''{'ac_cv_prog_CXXCPP'+set}'`\" = set"; then
694  echo $ac_n "(cached) $ac_c" 1>&6
695else
696  ac_ext=C
697# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
698ac_cpp='$CXXCPP $CPPFLAGS'
699ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
700ac_link='${CXX-g++} -o conftest $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
701  CXXCPP="${CXX-g++} -E"
702  cat > conftest.$ac_ext <<EOF
703#line 704 "configure"
704#include "confdefs.h"
705#include <stdlib.h>
706EOF
707ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
708{ (eval echo configure:709: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
709ac_err=`grep -v '^ *+' conftest.out`
710if test -z "$ac_err"; then
711  :
712else
713  echo "$ac_err" >&5
714  rm -rf conftest*
715  CXXCPP=/lib/cpp
716fi
717rm -f conftest*
718  ac_cv_prog_CXXCPP="$CXXCPP"
719fi
720fi
721CXXCPP="$ac_cv_prog_CXXCPP"
722echo "$ac_t""$CXXCPP" 1>&6
723
724
725echo $ac_n "checking whether ${MAKE-make} sets \${MAKE}""... $ac_c" 1>&6
726set dummy ${MAKE-make}; ac_make=$2
727if eval "test \"`echo '$''{'ac_cv_prog_make_${ac_make}_set'+set}'`\" = set"; then
728  echo $ac_n "(cached) $ac_c" 1>&6
729else
730  cat > conftestmake <<\EOF
731all:
732        @echo 'ac_maketemp="${MAKE}"'
733EOF
734# GNU make sometimes prints "make[1]: Entering...", which would confuse us.
735eval `${MAKE-make} -f conftestmake 2>/dev/null | grep temp=`
736if test -n "$ac_maketemp"; then
737  eval ac_cv_prog_make_${ac_make}_set=yes
738else
739  eval ac_cv_prog_make_${ac_make}_set=no
740fi
741rm -f conftestmake
742fi
743if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
744  echo "$ac_t""yes" 1>&6
745  SET_MAKE=
746else
747  echo "$ac_t""no" 1>&6
748  SET_MAKE="MAKE=${MAKE-make}"
749fi
750
751# Extract the first word of "ranlib", so it can be a program name with args.
752set dummy ranlib; ac_word=$2
753echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
754if eval "test \"`echo '$''{'ac_cv_prog_RANLIB'+set}'`\" = set"; then
755  echo $ac_n "(cached) $ac_c" 1>&6
756else
757  if test -n "$RANLIB"; then
758  ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
759else
760  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
761  for ac_dir in $PATH; do
762    test -z "$ac_dir" && ac_dir=.
763    if test -f $ac_dir/$ac_word; then
764      ac_cv_prog_RANLIB="ranlib"
765      break
766    fi
767  done
768  IFS="$ac_save_ifs"
769  test -z "$ac_cv_prog_RANLIB" && ac_cv_prog_RANLIB=":"
770fi
771fi
772RANLIB="$ac_cv_prog_RANLIB"
773if test -n "$RANLIB"; then
774  echo "$ac_t""$RANLIB" 1>&6
775else
776  echo "$ac_t""no" 1>&6
777fi
778
779# Extract the first word of "ar", so it can be a program name with args.
780set dummy ar; ac_word=$2
781echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
782if eval "test \"`echo '$''{'ac_cv_prog_AR'+set}'`\" = set"; then
783  echo $ac_n "(cached) $ac_c" 1>&6
784else
785  if test -n "$AR"; then
786  ac_cv_prog_AR="$AR" # Let the user override the test.
787else
788  IFS="${IFS=   }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
789  for ac_dir in $PATH; do
790    test -z "$ac_dir" && ac_dir=.
791    if test -f $ac_dir/$ac_word; then
792      ac_cv_prog_AR="ar"
793      break
794    fi
795  done
796  IFS="$ac_save_ifs"
797fi
798fi
799AR="$ac_cv_prog_AR"
800if test -n "$AR"; then
801  echo "$ac_t""$AR" 1>&6
802else
803  echo "$ac_t""no" 1>&6
804fi
805
806if test -z "$AR"; then
807  { echo "configure: error: Need ar" 1>&2; exit 1; }
808fi
809
810
811ac_safe=`echo "factory.h" | tr './\055' '___'`
812echo $ac_n "checking for factory.h""... $ac_c" 1>&6
813if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
814  echo $ac_n "(cached) $ac_c" 1>&6
815else
816  cat > conftest.$ac_ext <<EOF
817#line 818 "configure"
818#include "confdefs.h"
819#include <factory.h>
820EOF
821ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
822{ (eval echo configure:823: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
823ac_err=`grep -v '^ *+' conftest.out`
824if test -z "$ac_err"; then
825  rm -rf conftest*
826  eval "ac_cv_header_$ac_safe=yes"
827else
828  echo "$ac_err" >&5
829  rm -rf conftest*
830  eval "ac_cv_header_$ac_safe=no"
831fi
832rm -f conftest*
833fi
834if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
835  echo "$ac_t""yes" 1>&6
836  :
837else
838  echo "$ac_t""no" 1>&6
839echo "configure: warning: factory.h not found! Install factory before building libfac!" 1>&2
840fi
841
842
843
844
845echo $ac_n "checking for working const""... $ac_c" 1>&6
846if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
847  echo $ac_n "(cached) $ac_c" 1>&6
848else
849  cat > conftest.$ac_ext <<EOF
850#line 851 "configure"
851#include "confdefs.h"
852
853int main() { return 0; }
854int t() {
855
856/* Ultrix mips cc rejects this.  */
857typedef int charset[2]; const charset x;
858/* SunOS 4.1.1 cc rejects this.  */
859char const *const *ccp;
860char **p;
861/* NEC SVR4.0.2 mips cc rejects this.  */
862struct point {int x, y;};
863static struct point const zero = {0,0};
864/* AIX XL C 1.02.0.0 rejects this.
865   It does not let you subtract one const X* pointer from another in an arm
866   of an if-expression whose if-part is not a constant expression */
867const char *g = "string";
868ccp = &g + (g ? g-g : 0);
869/* HPUX 7.0 cc rejects these. */
870++ccp;
871p = (char**) ccp;
872ccp = (char const *const *) p;
873{ /* SCO 3.2v4 cc rejects this.  */
874  char *t;
875  char const *s = 0 ? (char *) 0 : (char const *) 0;
876
877  *t++ = 0;
878}
879{ /* Someone thinks the Sun supposedly-ANSI compiler will reject this.  */
880  int x[] = {25, 17};
881  const int *foo = &x[0];
882  ++foo;
883}
884{ /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
885  typedef const int *iptr;
886  iptr p = 0;
887  ++p;
888}
889{ /* AIX XL C 1.02.0.0 rejects this saying
890     "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
891  struct s { int j; const int *ap[3]; };
892  struct s *b; b->j = 5;
893}
894{ /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
895  const int foo = 10;
896}
897
898; return 0; }
899EOF
900if { (eval echo configure:901: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
901  rm -rf conftest*
902  ac_cv_c_const=yes
903else
904  rm -rf conftest*
905  ac_cv_c_const=no
906fi
907rm -f conftest*
908
909fi
910
911echo "$ac_t""$ac_cv_c_const" 1>&6
912if test $ac_cv_c_const = no; then
913  cat >> confdefs.h <<\EOF
914#define const
915EOF
916
917fi
918
919echo $ac_n "checking for inline""... $ac_c" 1>&6
920if eval "test \"`echo '$''{'ac_cv_c_inline'+set}'`\" = set"; then
921  echo $ac_n "(cached) $ac_c" 1>&6
922else
923  ac_cv_c_inline=no
924for ac_kw in inline __inline__ __inline; do
925  cat > conftest.$ac_ext <<EOF
926#line 927 "configure"
927#include "confdefs.h"
928
929int main() { return 0; }
930int t() {
931} $ac_kw foo() {
932; return 0; }
933EOF
934if { (eval echo configure:935: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
935  rm -rf conftest*
936  ac_cv_c_inline=$ac_kw; break
937fi
938rm -f conftest*
939
940done
941
942fi
943
944echo "$ac_t""$ac_cv_c_inline" 1>&6
945case "$ac_cv_c_inline" in
946  inline | yes) ;;
947  no) cat >> confdefs.h <<\EOF
948#define inline
949EOF
950 ;;
951  *)  cat >> confdefs.h <<EOF
952#define inline $ac_cv_c_inline
953EOF
954 ;;
955esac
956
957
958if test ${GXX} = yes; then
959  if test "$ac_cxxflags_set" = no; then
960    if test "$with_debug" = yes; then
961       CXXFLAGS="-O -g"
962    else
963       CXXFLAGS="-O3 "
964    fi
965  fi
966  CXXTEMPLFLAGS="-fno-implicit-templates"
967else
968  CXXTEMPFLAGS=""
969fi
970
971 
972trap '' 1 2 15
973cat > confcache <<\EOF
974# This file is a shell script that caches the results of configure
975# tests run on this system so they can be shared between configure
976# scripts and configure runs.  It is not useful on other systems.
977# If it contains results you don't want to keep, you may remove or edit it.
978#
979# By default, configure uses ./config.cache as the cache file,
980# creating it if it does not exist already.  You can give configure
981# the --cache-file=FILE option to use a different cache file; that is
982# what configure does when it calls configure scripts in
983# subdirectories, so they share the cache.
984# Giving --cache-file=/dev/null disables caching, for debugging configure.
985# config.status only pays attention to the cache file if you give it the
986# --recheck option to rerun configure.
987#
988EOF
989# Ultrix sh set writes to stderr and can't be redirected directly,
990# and sets the high bit in the cache file unless we assign to the vars.
991(set) 2>&1 |
992  sed -n "s/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=\${\1='\2'}/p" \
993  >> confcache
994if cmp -s $cache_file confcache; then
995  :
996else
997  if test -w $cache_file; then
998    echo "updating cache $cache_file"
999    cat confcache > $cache_file
1000  else
1001    echo "not updating unwritable cache $cache_file"
1002  fi
1003fi
1004rm -f confcache
1005
1006trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1007
1008test "x$prefix" = xNONE && prefix=$ac_default_prefix
1009# Let make expand exec_prefix.
1010test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1011
1012# Any assignment to VPATH causes Sun make to only execute
1013# the first set of double-colon rules, so remove it if not needed.
1014# If there is a colon in the path, we need to keep it.
1015if test "x$srcdir" = x.; then
1016  ac_vpsub='/^[         ]*VPATH[        ]*=[^:]*$/d'
1017fi
1018
1019trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1020
1021# Transform confdefs.h into DEFS.
1022# Protect against shell expansion while executing Makefile rules.
1023# Protect against Makefile macro expansion.
1024cat > conftest.defs <<\EOF
1025s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
1026s%[     `~#$^&*(){}\\|;'"<>?]%\\&%g
1027s%\[%\\&%g
1028s%\]%\\&%g
1029s%\$%$$%g
1030EOF
1031DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1032rm -f conftest.defs
1033
1034
1035# Without the "./", some shells look in PATH for config.status.
1036: ${CONFIG_STATUS=./config.status}
1037
1038echo creating $CONFIG_STATUS
1039rm -f $CONFIG_STATUS
1040cat > $CONFIG_STATUS <<EOF
1041#! /bin/sh
1042# Generated automatically by configure.
1043# Run this file to recreate the current configuration.
1044# This directory was configured as follows,
1045# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1046#
1047# $0 $ac_configure_args
1048#
1049# Compiler output produced by configure, useful for debugging
1050# configure, is in ./config.log if it exists.
1051
1052ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1053for ac_option
1054do
1055  case "\$ac_option" in
1056  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1057    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1058    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1059  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1060    echo "$CONFIG_STATUS generated by autoconf version 2.10"
1061    exit 0 ;;
1062  -help | --help | --hel | --he | --h)
1063    echo "\$ac_cs_usage"; exit 0 ;;
1064  *) echo "\$ac_cs_usage"; exit 1 ;;
1065  esac
1066done
1067
1068ac_given_srcdir=$srcdir
1069
1070trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1071EOF
1072cat >> $CONFIG_STATUS <<EOF
1073
1074# Protect against being on the right side of a sed subst in config.status.
1075sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1076 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1077$ac_vpsub
1078$extrasub
1079s%@CFLAGS@%$CFLAGS%g
1080s%@CPPFLAGS@%$CPPFLAGS%g
1081s%@CXXFLAGS@%$CXXFLAGS%g
1082s%@DEFS@%$DEFS%g
1083s%@LDFLAGS@%$LDFLAGS%g
1084s%@LIBS@%$LIBS%g
1085s%@exec_prefix@%$exec_prefix%g
1086s%@prefix@%$prefix%g
1087s%@program_transform_name@%$program_transform_name%g
1088s%@bindir@%$bindir%g
1089s%@sbindir@%$sbindir%g
1090s%@libexecdir@%$libexecdir%g
1091s%@datadir@%$datadir%g
1092s%@sysconfdir@%$sysconfdir%g
1093s%@sharedstatedir@%$sharedstatedir%g
1094s%@localstatedir@%$localstatedir%g
1095s%@libdir@%$libdir%g
1096s%@includedir@%$includedir%g
1097s%@oldincludedir@%$oldincludedir%g
1098s%@infodir@%$infodir%g
1099s%@mandir@%$mandir%g
1100s%@libfac_name@%$libfac_name%g
1101s%@libfac_version@%$libfac_version%g
1102s%@libfac_date@%$libfac_date%g
1103s%@libfac_author@%$libfac_author%g
1104s%@libfac@%$libfac%g
1105s%@libfac_g@%$libfac_g%g
1106s%@libsingfac@%$libsingfac%g
1107s%@libsingfac_g@%$libsingfac_g%g
1108s%@factorH@%$factorH%g
1109s%@targetname@%$targetname%g
1110s%@CXX@%$CXX%g
1111s%@CXXCPP@%$CXXCPP%g
1112s%@SET_MAKE@%$SET_MAKE%g
1113s%@RANLIB@%$RANLIB%g
1114s%@AR@%$AR%g
1115s%@CXXTEMPLFLAGS@%$CXXTEMPLFLAGS%g
1116
1117CEOF
1118EOF
1119cat >> $CONFIG_STATUS <<EOF
1120
1121CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1122EOF
1123cat >> $CONFIG_STATUS <<\EOF
1124for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1125  # Support "outfile[:infile]", defaulting infile="outfile.in".
1126  case "$ac_file" in
1127  *:*) ac_file_in=`echo "$ac_file"|sed 's%.*:%%'`
1128       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1129  *) ac_file_in="${ac_file}.in" ;;
1130  esac
1131
1132  # Adjust relative srcdir, etc. for subdirectories.
1133
1134  # Remove last slash and all that follows it.  Not all systems have dirname.
1135  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1136  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1137    # The file is in a subdirectory.
1138    test ! -d "$ac_dir" && mkdir "$ac_dir"
1139    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1140    # A "../" for each directory in $ac_dir_suffix.
1141    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1142  else
1143    ac_dir_suffix= ac_dots=
1144  fi
1145
1146  case "$ac_given_srcdir" in
1147  .)  srcdir=.
1148      if test -z "$ac_dots"; then top_srcdir=.
1149      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1150  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1151  *) # Relative path.
1152    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1153    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1154  esac
1155
1156  echo creating "$ac_file"
1157  rm -f "$ac_file"
1158  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1159  case "$ac_file" in
1160  *Makefile*) ac_comsub="1i\\
1161# $configure_input" ;;
1162  *) ac_comsub= ;;
1163  esac
1164  sed -e "$ac_comsub
1165s%@configure_input@%$configure_input%g
1166s%@srcdir@%$srcdir%g
1167s%@top_srcdir@%$top_srcdir%g
1168" -f conftest.subs $ac_given_srcdir/$ac_file_in > $ac_file
1169fi; done
1170rm -f conftest.subs
1171
1172
1173
1174exit 0
1175EOF
1176chmod +x $CONFIG_STATUS
1177rm -fr confdefs* $ac_clean_files
1178test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1179
1180
Note: See TracBrowser for help on using the repository browser.